# eric5.E5Gui.E5PassivePopup

Module implementing dialog-like popup that displays messages without interrupting the user.

### Global Attributes

DEFAULT_POPUP_TIME
DEFAULT_POPUP_TYPE
POPUP_FLAGS

### Classes

E5PassivePopup | Class implementing dialog-like popup that displays messages without interrupting the user.

### Functions

None

## E5PassivePopup

Class implementing dialog-like popup that displays messages without interrupting the user.

### Derived from

QFrame

### Class Attributes

Boxed
Custom

### Class Methods

None

### Methods

E5PassivePopup | Constructor
__calculateNearbyPoint | Private method to calculate the position to place the popup near the specified rectangle.
__defaultArea | Private method to determine the default rectangle to be passed to moveNear().
__moveNear | Private method to move the popup to be adjacent to the specified rectangle.
__positionSelf | Private method to position the popup.
hideEvent | Protected method to handle the hide event.
mouseReleaseEvent | Protected method to handle a mouse release event.
setTimeout | Public method to set the delay for the popup is removed automatically.
setView | Public method to set the message view.
setVisible | Public method to show or hide the popup.
show | Public slot to show the popup.
timeout | Public method to get the delay before the popup is removed automatically.
view | Public method to get a reference to the message view.

### Static Methods

None

#### E5PassivePopup (Constructor)

E5PassivePopup(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### E5PassivePopup.__calculateNearbyPoint

__calculateNearbyPoint(target)

Private method to calculate the position to place the popup near the specified rectangle.

target
  rectangle to be placed at (QRect)

Returns:
  position to place the popup (QPoint)

#### E5PassivePopup.__defaultArea

__defaultArea()

Private method to determine the default rectangle to be passed to moveNear().

Returns:
  default rectangle (QRect)

#### E5PassivePopup.__moveNear

__moveNear(target)

Private method to move the popup to be adjacent to the specified rectangle.

target
  rectangle to be placed at (QRect)

#### E5PassivePopup.__positionSelf

__positionSelf()

Private method to position the popup.

#### E5PassivePopup.hideEvent

hideEvent(evt)

Protected method to handle the hide event.

evt
  reference to the hide event (QHideEvent)

#### E5PassivePopup.mouseReleaseEvent

mouseReleaseEvent(evt)

Protected method to handle a mouse release event.

evt
  reference to the mouse event (QMouseEvent)

#### E5PassivePopup.setTimeout

setTimeout(delay)

Public method to set the delay for the popup is removed automatically.

Setting the delay to 0 disables the timeout. If you're doing this, you may want to connect the clicked() signal to the hide() slot. Setting the delay to -1 makes it use the default value.

delay
  value for the delay in milliseconds (integer)

#### E5PassivePopup.setView

setView(child)

Public method to set the message view.

child
  reference to the widget to set as the message view (QWidget)

#### E5PassivePopup.setVisible

setVisible(visible)

Public method to show or hide the popup.

visible
  flag indicating the visibility status (boolean)

#### E5PassivePopup.show

show(p=None)

Public slot to show the popup.

p
  position for the popup (QPoint)

#### E5PassivePopup.timeout

timeout()

Public method to get the delay before the popup is removed automatically.

Returns:
  the delay before the popup is removed automatically (integer)

#### E5PassivePopup.view

view()

Public method to get a reference to the message view.

Returns:
  reference to the message view (QWidget)

Up